local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- note: CooldownTimers2 doesn't use a standard AceConsole set of options, it builds the menu manually.
-- For this reason, the code for showing / hiding is just pulled out of the menu building functions.
-- CDT2 also uses char and doesn't properly support AceDB profiles, so "char" is hardcoded.

local Addon = NShakedown.AddonBase:new("CooldownTimers2", "CooldownTimers2")
if not Addon then return end

function Addon:Start()
    
    -- unlock the Announces
    CooldownTimers.announce.anchor:Show()
    CooldownTimers.announce.frame:Show()
    CooldownTimers.announce.frame:SetAlpha(1)
    CooldownTimers.announce.alpha = 1
    CooldownTimers.db.profile.announce.locked = false
    CooldownTimers.db.profile.pulse.locked = false
    CooldownTimers:LockPulseIcon(false)
    
    for k, v in pairs(CooldownTimers.db.profile.groups) do
        -- unlock the anchor
        v.locked = false
        CooldownTimers.anchors[k]:Show()
        
        -- show sample bar
        CooldownTimers:OnAnchorClick(k, true)
    end

end

function Addon:Stop()
    
    -- lock the Announces
    CooldownTimers.announce.anchor:Hide()
    CooldownTimers.db.profile.announce.locked = true
    CooldownTimers.db.profile.pulse.locked = true
    CooldownTimers:LockPulseIcon(true)

    for k, v in pairs(CooldownTimers.db.profile.groups) do
        -- lock the anchor
        v.locked = true
        CooldownTimers.anchors[k]:Hide()
        
        -- hide the sample bar
        CooldownTimers:OnAnchorClick(k, true)
    end

end