local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Hourglass", "Hourglass")
if not Addon then return end

-- constants
local DURATION = 3600
local DELTA = 60
local ICON = "Interface\\Icons\\INV_Misc_Food_19"
local NAME = "Hourglass %d"
local NUM = 5

function Addon:Start()
    
    -- show the bars
    local data = { name = nil, icon = ICON, startTime = GetTime() - DURATION / 2 }
    for i = 1, NUM do
        data.name = string.format(NAME, i)
        data.startTime = data.startTime + i * DELTA
        Hourglass:StartBar(data.name, data, DURATION)
    end

    -- show the anchor
    Hourglass:ToggleAnchor(true)
end

function Addon:Stop()

    -- hide the bars
    local barId
    for i = 1, NUM do
        barId = Hourglass:GetBarId(string.format(NAME, i))
        Hourglass:StopCandyBar(barId)
    end

    -- hide the anchor
    Hourglass:ToggleAnchor(false)
end