local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Hourglass2", "Hourglass2")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 5
local TIMER_ID = "Hourglass2Shakedown"

function Addon:Start()
    
    -- show the anchor
    Hourglass:ToggleAnchor(true)
    
    -- show bars now
    Hourglass:TestBars()
    
    -- schedule more bars later
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, Hourglass.TestBars, Hourglass)
end

function Addon:Stop()

    -- hide the anchor
    Hourglass:ToggleAnchor(false)
    
    -- don't schedule any more bars
    self:RemoveTimer(TIMER_ID)
end