local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("MendWatch", "MendWatch")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 31
local TIMER_ID = "MWShakedown"
local BAR_NUMBER = 4

function Addon:Start()

    -- show the anchor if necessary
    if not MendWatch.anchor:IsVisible() then
        MendWatch:ToggleAnchor()
    end
    
    -- show some bars now
    self:ShowBars()

    --schedule repeating bars
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.ShowBars, self)

end

function Addon:Stop()
    
    local barID = ""
    
    -- stop the repeating event
    self:RemoveTimer(TIMER_ID)
    
    -- hide the bars
    for i = 1, BAR_NUMBER do
        barID = i.."-"..i.."-MendWatch"
        MendWatch:SetCandyBarTimeLeft(barID, 1)
        MendWatch:SetCandyBarFade(barID, 1)
    end
    
    -- hide the anchor
    MendWatch:ToggleAnchor()

end

function Addon:ShowBars()

    -- show a number of bars
    for i = 1, BAR_NUMBER do
        MendWatch:StartTimer(i, "MendWatch", i)
    end

end